设为首页收藏本站

晓东CAD家园-论坛

 找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

查看: 178|回复: 3

[符号表] 用ARX创建线型

[复制链接]

已领礼包: 40个

财富等级: 招财进宝

发表于 2021-1-8 13:04:52 | 显示全部楼层 |阅读模式

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有帐号?立即注册

x

问题:
How can I create a linetype using ARX?

解答:
The sample code below creates a linetype using ARX:


  1. #include "dbmain.h"         
  2. #include "dbsymtb.h"

  3. void utilsarxtest ()     {
  4.     AcDbLinetypeTable *pLtypeTable =NULL ;
  5.     // get the linetype table from the drawing
  6.     if ( acdbHostApplicationServices()->workingDatabase()->getLinetypeTable (pLtypeTable, AcDb::kForWrite) ==
  7. Acad::eOk ) {
  8.         AcDbLinetypeTableRecord *pLtypeTableRecord =new
  9. AcDbLinetypeTableRecord ;
  10.         // set all of the properties of the linetype table record.
  11.         pLtypeTableRecord->setAsciiDescription ("T E S T -") ;
  12.         pLtypeTableRecord->setPatternLength (0.75) ;
  13.         pLtypeTableRecord->setNumDashes (2) ;
  14.         pLtypeTableRecord->setDashLengthAt (0, 0.5) ;
  15.         pLtypeTableRecord->setDashLengthAt (1,-0.25) ;
  16.         pLtypeTableRecord->setName ("ASTESTER") ;

  17.         AcDbObjectId tmpId ;
  18.         // add the pLtypeTableRecord to the linetype table
  19.         if (pLtypeTable->add (tmpId, pLtypeTableRecord)==Acad::eOk){
  20.             pLtypeTableRecord->close () ;
  21.         } else {
  22.             delete pLtypeTableRecord ;
  23.         }
  24.         // close everything up
  25.         pLtypeTable->close () ;
  26.     }
  27. }


论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
发表于 2021-2-18 11:47:42 | 显示全部楼层
点赞~~~~~~~~~~~
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复

使用道具 举报

发表于 2021-3-30 10:14:39 | 显示全部楼层
点赞
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复

使用道具 举报

发表于 5 天前 | 显示全部楼层
初学者学习
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|申请友链|小黑屋|手机版|Archiver|辽公网安备|晓东CAD家园 ( 辽ICP备15016793号 )  

GMT+8, 2021-4-21 09:24 , Processed in 0.383710 second(s), 25 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2020, Tencent Cloud.

快速回复 返回顶部 返回列表